### Hierarchy

- ChoiceAggregator

## Index

### Methods

- addToContainer
- aggregate
- filter
- querySelectorAll
- toChoiceResults

## Methods

### Static Private addToContainer

- addToContainer(name: string, items: ChoiceResult[], container: any): void

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:43

  #### Parameters

  - ##### name: string

  - ##### items: ChoiceResult[]

  - ##### container: any

  #### Returns void

### Static aggregate

- aggregate(choiceContainers: NodeListOf<Element>): ChoiceAggregationResult

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:26

  #### Parameters

  - ##### choiceContainers: NodeListOf<Element>

  #### Returns ChoiceAggregationResult

### Static Private filter

- filter(container: Element): function

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:70

  #### Parameters

  - ##### container: Element

  #### Returns function

  - - (e: Element): boolean

    - #### Parameters

      - ##### e: Element

      #### Returns boolean

### Static Private querySelectorAll

- querySelectorAll(element: Element, selector: string): Element[]

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:82

  #### Parameters

  - ##### element: Element

  - ##### selector: string

  #### Returns Element[]

### Static Private toChoiceResults

- toChoiceResults(container: Element, selector: string): ChoiceResult[]

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:59

  #### Parameters

  - ##### container: Element

  - ##### selector: string

  #### Returns ChoiceResult[]

Generated using TypeDoc